[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector3_extended): Tvector4_double

Allow assignment of three-dimensional extended precision vector to four-dimensional double precision vector

## Declaration

Source position: matrix.pp line 322

`operator operator :=(Tvector3_extended): Tvector4_double(`
`const v: Tvector3_extended`
`):Tvector4_double;`

## Description

This operator allows you to use a three-dimensional vector with extended precision values wherever a four-dimensional vector with double precision is expected. The fourth dimension is set to 0 and some accuracy is lost because of the conversion.

Documentation generated on: Feb 26 2014